## ICalTimezonePhase ICalTimezonePhase |

## Functions

const gchar * | i_cal_timezone_phase_get_tzname ()
gint | i_cal_timezone_phase_is_stdandard ()
void | i_cal_timezone_phase_set_is_stdandard ()
ICalTimetype * | i_cal_timezone_phase_get_dtstart ()
void | i_cal_timezone_phase_set_dtstart ()
gint | i_cal_timezone_phase_get_offsetto ()
void | i_cal_timezone_phase_set_offsetto ()
gint | i_cal_timezone_phase_get_tzoffsetfrom ()
void | i_cal_timezone_phase_set_tzoffsetfrom ()
const gchar * | i_cal_timezone_phase_get_comment ()
ICalDatetimeperiodType * | i_cal_timezone_phase_get_rdate ()
void | i_cal_timezone_phase_set_rdate ()
const gchar * | i_cal_timezone_phase_get_rrule ()

## Types and Values

#define | I_CAL_TIMEZONE_PHASE_TYPE
| ICalTimezonePhase
struct | ICalTimezonePhaseClass

## Description

## Functions

### i_cal_timezone_phase_get_tzname ()

    const gchar *
    i_cal_timezone_phase_get_tzname (ICalTimezonePhase *phase);

Get the tzname of ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The tzname of `phase` .

[transfer none]

Since: 1.0

### i_cal_timezone_phase_is_stdandard ()

    gint
    i_cal_timezone_phase_is_stdandard (ICalTimezonePhase *phase);

Get the is_stdandard of ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The is_stdandard of `phase` .

Since: 1.0

### i_cal_timezone_phase_set_is_stdandard ()

    void
    i_cal_timezone_phase_set_is_stdandard (ICalTimezonePhase *phase,
                                           gint is_stdandard);

Set the is_stdandard of ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |
is_stdandard | The is_stdandard. |

Since: 1.0

### i_cal_timezone_phase_get_dtstart ()

    ICalTimetype *
    i_cal_timezone_phase_get_dtstart (ICalTimezonePhase *phase);

Get the dtstart from ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The dtstart of ICalTimezonePhase.

[transfer full]

Since: 1.0

### i_cal_timezone_phase_set_dtstart ()

    void
    i_cal_timezone_phase_set_dtstart (ICalTimezonePhase *phase,
                                      ICalTimetype *dtstart);

Set the dtstart from ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |
dtstart | The dtstart of ICalTimezonePhase. |

Since: 1.0

### i_cal_timezone_phase_get_offsetto ()

    gint
    i_cal_timezone_phase_get_offsetto (ICalTimezonePhase *phase);

Get the offsetto of ICalTimezonePhase. Returns -61 if there is an error.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The offsetto of `phase` .

Since: 1.0

### i_cal_timezone_phase_set_offsetto ()

    void
    i_cal_timezone_phase_set_offsetto (ICalTimezonePhase *phase,
                                       gint offsetto);

Set the offsetto of ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |
offsetto | The offsetto. |

Since: 1.0

### i_cal_timezone_phase_get_tzoffsetfrom ()

    gint
    i_cal_timezone_phase_get_tzoffsetfrom (ICalTimezonePhase *phase);

Get the tzoffsetfrom of ICalTimezonePhase. Returns -61 if there is an error.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The tzoffsetfrom of `phase` .

Since: 1.0

### i_cal_timezone_phase_set_tzoffsetfrom ()

    void
    i_cal_timezone_phase_set_tzoffsetfrom (ICalTimezonePhase *phase,
                                           gint tzoffsetfrom);

Set the tzoffsetfrom of ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |
tzoffsetfrom | The tzoffsetfrom. |

Since: 1.0

### i_cal_timezone_phase_get_comment ()

    const gchar *
    i_cal_timezone_phase_get_comment (ICalTimezonePhase *phase);

Get the comment of ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The comment of `phase` .

[transfer none]

Since: 1.0

### i_cal_timezone_phase_get_rdate ()

    ICalDatetimeperiodType *
    i_cal_timezone_phase_get_rdate (ICalTimezonePhase *phase);

Get the rdate from ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The rdate of ICalTimezonePhase.

[transfer full]

Since: 1.0

### i_cal_timezone_phase_set_rdate ()

    void
    i_cal_timezone_phase_set_rdate (ICalTimezonePhase *phase,
                                    ICalDatetimeperiodType *rdate);

Set the rdate from ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |
rdate | The rdate of ICalTimezonePhase. |

Since: 1.0

### i_cal_timezone_phase_get_rrule ()

    const gchar *
    i_cal_timezone_phase_get_rrule (ICalTimezonePhase *phase);

Get the rrule of ICalTimezonePhase.

#### Parameters

phase | The ICalTimezonePhase. |

#### Returns

The rrule of `phase` .

[transfer none]

Since: 1.0

## Types and Values

### I_CAL_TIMEZONE_PHASE_TYPE

    #define             I_CAL_TIMEZONE_PHASE_TYPE

### ICalTimezonePhase

    typedef struct {
    } ICalTimezonePhase;

This is the ICalTimezonePhase instance.

### struct ICalTimezonePhaseClass

    struct ICalTimezonePhaseClass {
    };

This is the ICalTimezonePhase class.